QGIS Application - Bug report #14611
polyline rendering broken when line layer draws effect(s)
2016-04-03 08:49 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 22577
Description

While testing out the new composer polyline tool, | stumbled on a rendering issue: if the [x] draw effect is enabled, the polyline will render a
white fill (see line-effect-problem.png).
Steps to reproduce

1. Create a new project, open a new composer

2. Change the composer background color to a dark gray (to witness the white fill)

3. Add a polyline item, make it a U-shaped line

4. Open the line style properties window

5. Enable [x] draw effect (you don't actually need to enable any filter), and press the [ ok ] button

6. Notice the unwanted white fill attached to the polyline

Setting this issue as blocker.

Associated revisions

Revision dae423d3 - 2016-04-04 11:22 PM - Blottiere Paul

fix polyline rendering when layer draws effects (fix #14611)

Revision 7a4fc6eb - 2021-08-11 12:21 AM - Nyall Dawson

[feature] Add Rename action under the manage submenu for files in browser
Allows renaming of files directly in the browser. If the file

corresponds to a spatial dataset with multiple sidecar files then

these will all be renamed accordingly too.

Additionally, users are warned if the file is a layer which is exists

in the current project and are asked whether they want to automatically

update all the layer paths accordingly.

Refs #14611

History

#1 - 2016-04-04 02:23 PM - Anonymous
- Status changed from Open to Closed
Fixed in changeset commit:"dae423d30ff86a009c3918d2903f037951669b6c".
